A [node](http://nodejs.org) module to chain multiple configurable commands, run them in a predefined order and access their results afterwards.

## Installation

```bash
$ npm install macro-command
```

## Features

  * Run commands in sync
  * Promise based
  * Command pattern
  * Namespace support
  * Highly configurable & flexible

## Docs
  * [Github repo](https://github.com/ruckola/macro-command)
  * [Demo project](https://github.com/ruckola/mcdemo) - See the macro-command in action.

## Tests

  To run the test suite, first install the dependencies, then run `npm test`:

```bash
$ npm install
$ npm test
```

## Examples

  To view the examples, clone the mcdemo repo and install the dependencies:

```bash
$ git clone https://github.com/ruckola/mcdemo.git
$ cd mcdemo
$ npm install
```

  Then run the example app:

```bash
$ node app.js
```