/**
 * Created by ruckola on 10-12-16.
 */
const assert = require('chai').assert;
const expect = require('chai').expect;
const Controller = require('../../bin/core/controller');
const CommandContext = require('../../bin/core/commandContext');

describe("Test suite for the Controller class.", function () {

    it('The constructor should instantiate a new CommandContext and store it locally.', function () {

        var ctrl = new Controller;
        var ctxt = ctrl.context;

        assert.equal((ctxt instanceof CommandContext), true);

    });

    it('The getContext method should return an instance of CommandContext.', function () {

        var ctrl = new Controller;
        var ctxt = ctrl.getContext();

        assert.equal((ctxt instanceof CommandContext), true);

    });

    it('The process method should run the defaultcommand from the commandfactory if' +
        ' the action parameter is not available.', function () {

            var ctrl = new Controller;
            var result = ctrl.process();

            expect(result).to.have.property('msg')
                .that.is.a('string');


        });
});